import { html as a } from "lit";
import { property as c } from "lit/decorators.js";
import { PieIconComponent as f } from "./PieIconComponent.js";
import { safeCustomElement as h } from "@justeattakeaway/pie-webc-core";
var m = Object.defineProperty, u = Object.getOwnPropertyDescriptor, n = (p, t, l, r) => {
  for (var e = r > 1 ? void 0 : r ? u(t, l) : t, o = p.length - 1, i; o >= 0; o--)
    (i = p[o]) && (e = (r ? i(t, l, e) : i(e)) || e);
  return r && e && m(t, l, e), e;
};
let s = class extends f {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--eyeOnFilled", this.class = "c-pieIcon c-pieIcon--eyeOnFilled", this.name = "IconEyeOnFilled";
  }
  render() {
    return a`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 16 16" class="c-pieIcon c-pieIcon--eyeOnFilled"><path d="M12.017 4.789a5.337 5.337 0 0 0-8.033 0L1.062 8l2.922 3.211a5.337 5.337 0 0 0 8.032 0l2.923-3.21zm-2.32 4.909a2.398 2.398 0 1 1 0-3.395 2.38 2.38 0 0 1 0 3.395"></path><path d="M8 6.906a1.06 1.06 0 0 0-.77.324 1.085 1.085 0 1 0 1.54 0A1.06 1.06 0 0 0 8 6.906"></path></svg>`;
  }
};
n([
  c({ type: String, reflect: !0 })
], s.prototype, "size", 2);
n([
  c({ type: String, reflect: !0 })
], s.prototype, "class", 2);
s = n([
  h("icon-eye-on-filled")
], s);
export {
  s as IconEyeOnFilled
};
